<?php
  // init database first: sqlite3 -init products.sql products.db
  $dbh = new PDO('sqlite:./sql/products.db');
  $dbh->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
  $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

  $stmt = $dbh->prepare('SELECT * from category');
  $stmt->execute();

  $categories = $stmt->fetchAll();
?>
<!DOCTYPE html>
<html>
  <head>
    <title>Shop</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="css/style.css"> 
    <link href="https://fonts.googleapis.com/css?family=Libre+Franklin|Merriweather" rel="stylesheet"> 
  </head>
  <body>
    <header>
      <h1><a href="list_categories.php">Shop</a></h1>
      <form>
        <input type="text" placeholder="username" name="username">
        <input type="password" placeholder="password" name="password">
        <input type="submit" value="Login">
        <a href="#">Register</a>
      </form>
    </header>
    <section id="categories">
      <h2>Categories</h2>
      <ul>
        <?php foreach ($categories as $category) { ?>

          <li>
            <a href="list_products.php?id=<?=$category['id']?>">
              <?=$category['name']?>
            </a>
          </li>

        <?php } ?>
      </ul>
    </section>
    <footer>
      <p>Copyright &copy; André Restivo, 2018</p>
    </footer>
  </body>
</html>